package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterAvailableEstimate;
import com.lightinit.hsdatashow.entity.StWaterAvailableEstimateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterAvailableEstimateMapper {
    long countByExample(StWaterAvailableEstimateExample example);

    int deleteByExample(StWaterAvailableEstimateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterAvailableEstimate record);

    int insertSelective(StWaterAvailableEstimate record);

    List<StWaterAvailableEstimate> selectByExample(StWaterAvailableEstimateExample example);

    StWaterAvailableEstimate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterAvailableEstimate record, @Param("example") StWaterAvailableEstimateExample example);

    int updateByExample(@Param("record") StWaterAvailableEstimate record, @Param("example") StWaterAvailableEstimateExample example);

    int updateByPrimaryKeySelective(StWaterAvailableEstimate record);

    int updateByPrimaryKey(StWaterAvailableEstimate record);
}